/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//機能名称 
//		  HACP エラー クラス
//変更履歴
//			  2003.11.24	zcj  新規作成
//
package jp.co.ntt.lms.lo.scorm.cbtcom;

import java.util.HashMap;

/**
 * HACP エラー クラス <BR>
 * @author zhaicj
 * 
 */
public class HACPError {
	public static final int HACP_ERR_SUCCESSFUL = 0;
	public static final int HACP_ERR_INVALID_COMMAND = 1;
	public static final int HACP_ERR_INVALID_AU_PASSWORD = 2;
	public static final int HACP_ERR_INVALID_SESSION_ID = 3;
	public static final int HACP_ERR_CMI = 4;
	private static HashMap m_ErrorMessage = null;
	private int m_ErrorCode;
	
	static{
		initMessageMap();
	}

	/**
	 * コンストラクタ<br>
	 * @param errCode int
	 */
	public HACPError(int errCode) {
		m_ErrorCode = errCode;
	}

	/**
	 * コンストラクタ<br>
	 */  
	public HACPError() {
		m_ErrorCode = HACP_ERR_SUCCESSFUL;
	}

	/**
	 * クラスの終了処理 <BR>
	 */
	public void finalize() {
		m_ErrorMessage = null;
	}
	
	/**
	 * メッセージマップを初期化する<br>
	 */
	private static void initMessageMap() {
		if (m_ErrorMessage == null ) {
			m_ErrorMessage = new HashMap();
		}
		if (m_ErrorMessage.size() == 0) {
			m_ErrorMessage.put(new Integer(HACP_ERR_SUCCESSFUL), "Successful");
			m_ErrorMessage.put(new Integer(HACP_ERR_INVALID_COMMAND), "Invalid Command");
			m_ErrorMessage.put(new Integer(HACP_ERR_INVALID_AU_PASSWORD), "Invalid AU-password");
			m_ErrorMessage.put(new Integer(HACP_ERR_INVALID_SESSION_ID), "Invalid Session ID");
			m_ErrorMessage.put(new Integer(HACP_ERR_CMI), "CMI Error");
		}
	}
    
	/**
	 * エラーコードを設定する<br>
	 * @param errCode int エラーコード
	 */
	public void setErrorNumber(int errCode) {
		m_ErrorCode = errCode;
	}
   
	/**
	 * エラーコードを取得する<br>
	 * @return int エラーコード
	 */
	public int getErrorNumber() {
		return m_ErrorCode;
	}

	/**
	 * エラーメッセージを取得する<br>
	 * @param errCode int
	 * @return String エラーメッセージ
	 */
	public static String getErrorString(int errCode) {
		String strMsg = (String)m_ErrorMessage.get(new Integer(errCode));
		return strMsg;
	}
}